Index: uspace/lib/net/netif/netif_local.c
===================================================================
--- uspace/lib/net/netif/netif_local.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/netif/netif_local.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup netif
+/** @addtogroup libnet 
  * @{
  */
@@ -58,6 +58,5 @@
 DEVICE_MAP_IMPLEMENT(netif_device_map, netif_device_t);
 
-/** Network interface global data.
- */
+/** Network interface global data. */
 netif_globals_t netif_globals;
 
@@ -65,13 +64,13 @@
  *
  * @param[in] netif_phone The network interface phone.
- * @param[in] device_id   The device identifier.
- * @param[in] irq         The device interrupt number.
- * @param[in] io          The device input/output address.
- *
- * @return EOK on success.
- * @return Other errro codes as defined for the netif_probe_message().
- *
- */
-int netif_probe_req_local(int netif_phone, device_id_t device_id, int irq, int io)
+ * @param[in] device_id	The device identifier.
+ * @param[in] irq	The device interrupt number.
+ * @param[in] io	The device input/output address.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the
+ *			netif_probe_message().
+ */
+int
+netif_probe_req_local(int netif_phone, device_id_t device_id, int irq, int io)
 {
 	fibril_rwlock_write_lock(&netif_globals.lock);
@@ -85,11 +84,10 @@
  *
  * @param[in] netif_phone The network interface phone.
- * @param[in] device_id   The device identifier.
- * @param[in] packet      The packet queue.
- * @param[in] sender      The sending module service.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the generic_send_msg() function.
- *
+ * @param[in] device_id	The device identifier.
+ * @param[in] packet	The packet queue.
+ * @param[in] sender	The sending module service.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the generic_send_msg()
+ *			function.
  */
 int netif_send_msg_local(int netif_phone, device_id_t device_id,
@@ -106,10 +104,10 @@
  *
  * @param[in] netif_phone The network interface phone.
- * @param[in] device_id   The device identifier.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the netif_start_message() function.
- *
+ * @param[in] device_id	The device identifier.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the
+ *			netif_start_message() function.
  */
 int netif_start_req_local(int netif_phone, device_id_t device_id)
@@ -141,10 +139,10 @@
  *
  * @param[in] netif_phone The network interface phone.
- * @param[in] device_id   The device identifier.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the find_device() function.
- * @return Other error codes as defined for the netif_stop_message() function.
- *
+ * @param[in] device_id	The device identifier.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the
+ *			netif_stop_message() function.
  */
 int netif_stop_req_local(int netif_phone, device_id_t device_id)
@@ -175,10 +173,8 @@
 /** Return the device usage statistics.
  *
- * @param[in]  netif_phone The network interface phone.
- * @param[in]  device_id   The device identifier.
- * @param[out] stats       The device usage statistics.
- *
+ * @param[in] netif_phone The network interface phone.
+ * @param[in] device_id	The device identifier.
+ * @param[out] stats	The device usage statistics.
  * @return EOK on success.
- *
  */
 int netif_stats_req_local(int netif_phone, device_id_t device_id,
@@ -194,15 +190,13 @@
 /** Return the device local hardware address.
  *
- * @param[in]  netif_phone The network interface phone.
- * @param[in]  device_id   The device identifier.
- * @param[out] address     The device local hardware address.
- * @param[out] data        The address data.
- *
- * @return EOK on success.
- * @return EBADMEM if the address parameter is NULL.
- * @return ENOENT if there no such device.
- * @return Other error codes as defined for the netif_get_addr_message()
- *         function.
- *
+ * @param[in] netif_phone The network interface phone.
+ * @param[in] device_id	The device identifier.
+ * @param[out] address	The device local hardware address.
+ * @param[out] data	The address data.
+ * @return		EOK on success.
+ * @return		EBADMEM if the address parameter is NULL.
+ * @return		ENOENT if there no such device.
+ * @return		Other error codes as defined for the
+ *			netif_get_addr_message() function.
  */
 int netif_get_addr_req_local(int netif_phone, device_id_t device_id,
@@ -211,5 +205,5 @@
 	ERROR_DECLARE;
 	
-	if ((!address) || (!data))
+	if (!address || !data)
 		return EBADMEM;
 	
@@ -231,11 +225,9 @@
 /** Find the device specific data.
  *
- * @param[in]  device_id The device identifier.
- * @param[out] device    The device specific data.
- *
- * @return EOK on success.
- * @return ENOENT if device is not found.
- * @return EPERM if the device is not initialized.
- *
+ * @param[in] device_id	The device identifier.
+ * @param[out] device	The device specific data.
+ * @return		EOK on success.
+ * @return		ENOENT if device is not found.
+ * @return		EPERM if the device is not initialized.
  */
 int find_device(device_id_t device_id, netif_device_t **device)
@@ -256,6 +248,5 @@
 /** Clear the usage statistics.
  *
- * @param[in] stats The usage statistics.
- *
+ * @param[in] stats	The usage statistics.
  */
 void null_device_stats(device_stats_ref stats)
@@ -266,11 +257,8 @@
 /** Initialize the netif module.
  *
- *  @param[in] client_connection The client connection functio to be
- *                               registered.
- *
- *  @return EOK on success.
- *  @return Other error codes as defined for each specific module
- *          message function.
- *
+ * @param[in] client_connection The client connection functio to be registered.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
+ *			message function.
  */
 int netif_init_module(async_client_conn_t client_connection)
@@ -298,6 +286,5 @@
  * Prepared for future optimization.
  *
- * @param[in] packet_id The packet identifier.
- *
+ * @param[in] packet_id	The packet identifier.
  */
 void netif_pq_release(packet_id_t packet_id)
@@ -308,8 +295,7 @@
 /** Allocate new packet to handle the given content size.
  *
- * @param[in] content The minimum content size.
- *
- * @return The allocated packet.
- * @return NULL if there is an error.
+ * @param[in] content	The minimum content size.
+ * @return		The allocated packet.
+ * @return		NULL if there is an error.
  *
  */
@@ -319,14 +305,13 @@
 }
 
-/** Register the device notification receiver, the network interface layer module.
- *
- * @param[in] name      Module name.
- * @param[in] device_id The device identifier.
- * @param[in] phone     The network interface layer module phone.
- *
- * @return EOK on success.
- * @return ENOENT if there is no such device.
- * @return ELIMIT if there is another module registered.
- *
+/** Register the device notification receiver, the network interface layer
+ * module.
+ *
+ * @param[in] name	Module name.
+ * @param[in] device_id	The device identifier.
+ * @param[in] phone	The network interface layer module phone.
+ * @return		EOK on success.
+ * @return		ENOENT if there is no such device.
+ * @return		ELIMIT if there is another module registered.
  */
 static int register_message(const char *name, device_id_t device_id, int phone)
@@ -347,14 +332,14 @@
 /** Process the netif module messages.
  *
- * @param[in]  name         Module name.
- * @param[in]  callid       The message identifier.
- * @param[in]  call         The message parameters.
- * @param[out] answer       The message answer parameters.
- * @param[out] answer_count The last parameter for the actual answer
- *                          in the answer parameter.
- *
- * @return EOK on success.
- * @return ENOTSUP if the message is not known.
- * @return Other error codes as defined for each specific module message function.
+ * @param[in] name 	Module name.
+ * @param[in] callid	The message identifier.
+ * @param[in] call	The message parameters.
+ * @param[out] answer	The message answer parameters.
+ * @param[out] answer_count The last parameter for the actual answer in the
+ *			answer parameter.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
+ * @return		Other error codes as defined for each specific module
+ *			message function.
  *
  * @see IS_NET_NETIF_MESSAGE()
@@ -373,45 +358,58 @@
 	*answer_count = 0;
 	switch (IPC_GET_METHOD(*call)) {
-		case IPC_M_PHONE_HUNGUP:
-			return EOK;
-		case NET_NETIF_PROBE:
-			return netif_probe_req_local(0, IPC_GET_DEVICE(call),
-			    NETIF_GET_IRQ(call), NETIF_GET_IO(call));
-		case IPC_M_CONNECT_TO_ME:
-			fibril_rwlock_write_lock(&netif_globals.lock);
-			ERROR_CODE = register_message(name, IPC_GET_DEVICE(call),
-			    IPC_GET_PHONE(call));
-			fibril_rwlock_write_unlock(&netif_globals.lock);
-			return ERROR_CODE;
-		case NET_NETIF_SEND:
-			ERROR_PROPAGATE(packet_translate_remote(netif_globals.net_phone,
-			    &packet, IPC_GET_PACKET(call)));
-			return netif_send_msg_local(0, IPC_GET_DEVICE(call), packet,
-			    IPC_GET_SENDER(call));
-		case NET_NETIF_START:
-			return netif_start_req_local(0, IPC_GET_DEVICE(call));
-		case NET_NETIF_STATS:
-			fibril_rwlock_read_lock(&netif_globals.lock);
-			if (!ERROR_OCCURRED(async_data_read_receive(&callid, &length))) {
-				if (length < sizeof(device_stats_t))
-					ERROR_CODE = EOVERFLOW;
-				else {
-					if (!ERROR_OCCURRED(netif_get_device_stats(
-					    IPC_GET_DEVICE(call), &stats)))
-						ERROR_CODE = async_data_read_finalize(callid, &stats,
-						    sizeof(device_stats_t));
-				}
-			}
+	case IPC_M_PHONE_HUNGUP:
+		return EOK;
+	
+	case NET_NETIF_PROBE:
+		return netif_probe_req_local(0, IPC_GET_DEVICE(call),
+		    NETIF_GET_IRQ(call), NETIF_GET_IO(call));
+		    
+	case IPC_M_CONNECT_TO_ME:
+		fibril_rwlock_write_lock(&netif_globals.lock);
+		ERROR_CODE = register_message(name, IPC_GET_DEVICE(call),
+		    IPC_GET_PHONE(call));
+		fibril_rwlock_write_unlock(&netif_globals.lock);
+		return ERROR_CODE;
+		
+	case NET_NETIF_SEND:
+		ERROR_PROPAGATE(packet_translate_remote(netif_globals.net_phone,
+		    &packet, IPC_GET_PACKET(call)));
+		return netif_send_msg_local(0, IPC_GET_DEVICE(call), packet,
+		    IPC_GET_SENDER(call));
+		    
+	case NET_NETIF_START:
+		return netif_start_req_local(0, IPC_GET_DEVICE(call));
+		
+	case NET_NETIF_STATS:
+		fibril_rwlock_read_lock(&netif_globals.lock);
+
+		if (ERROR_OCCURRED(async_data_read_receive(&callid, &length))) {
 			fibril_rwlock_read_unlock(&netif_globals.lock);
 			return ERROR_CODE;
-		case NET_NETIF_STOP:
-			return netif_stop_req_local(0, IPC_GET_DEVICE(call));
-		case NET_NETIF_GET_ADDR:
-			fibril_rwlock_read_lock(&netif_globals.lock);
-			if (!ERROR_OCCURRED(netif_get_addr_message(IPC_GET_DEVICE(call),
-			    &address)))
-				ERROR_CODE = measured_strings_reply(&address, 1);
+		}
+		if (length < sizeof(device_stats_t)) {
 			fibril_rwlock_read_unlock(&netif_globals.lock);
-			return ERROR_CODE;
+			return EOVERFLOW;
+		}
+
+		if (ERROR_NONE(netif_get_device_stats(IPC_GET_DEVICE(call),
+		    &stats))) {
+			ERROR_CODE = async_data_read_finalize(callid, &stats,
+			    sizeof(device_stats_t));
+		}
+
+		fibril_rwlock_read_unlock(&netif_globals.lock);
+		return ERROR_CODE;
+
+	case NET_NETIF_STOP:
+		return netif_stop_req_local(0, IPC_GET_DEVICE(call));
+		
+	case NET_NETIF_GET_ADDR:
+		fibril_rwlock_read_lock(&netif_globals.lock);
+		if (ERROR_NONE(netif_get_addr_message(IPC_GET_DEVICE(call),
+		    &address)))
+			ERROR_CODE = measured_strings_reply(&address, 1);
+		fibril_rwlock_read_unlock(&netif_globals.lock);
+		return ERROR_CODE;
 	}
 	
@@ -421,16 +419,13 @@
 /** Start the network interface module.
  *
- * Initialize the client connection serving function, initialize
- * the module, registers the module service and start the async
- * manager, processing IPC messages in an infinite loop.
- *
- * @param[in] client_connection The client connection processing
- *                              function. The module skeleton propagates
- *                              its own one.
- *
- * @return EOK on success.
- * @return Other error codes as defined for each specific module message
- *         function.
- *
+ * Initialize the client connection serving function, initialize the module,
+ * registers the module service and start the async manager, processing IPC
+ * messages in an infinite loop.
+ *
+ * @param[in] client_connection The client connection processing function.
+ *			The module skeleton propagates its own one.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
+ *			message function.
  */
 int netif_module_start_standalone(async_client_conn_t client_connection)
Index: uspace/lib/net/netif/netif_remote.c
===================================================================
--- uspace/lib/net/netif/netif_remote.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/netif/netif_remote.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup netif
+/** @addtogroup libnet 
  * @{
  */
@@ -35,4 +35,8 @@
  */
 
+#include <netif_remote.h>
+#include <packet_client.h>
+#include <generic.h>
+
 #include <ipc/services.h>
 #include <ipc/netif.h>
@@ -41,9 +45,18 @@
 #include <adt/measured_strings.h>
 #include <net/packet.h>
-#include <packet_client.h>
 #include <net/device.h>
-#include <netif_remote.h>
-#include <generic.h>
 
+/** Return the device local hardware address.
+ *
+ * @param[in] netif_phone The network interface phone.
+ * @param[in] device_id	The device identifier.
+ * @param[out] address	The device local hardware address.
+ * @param[out] data	The address data.
+ * @return		EOK on success.
+ * @return		EBADMEM if the address parameter is NULL.
+ * @return		ENOENT if there no such device.
+ * @return		Other error codes as defined for the
+ *			netif_get_addr_message() function.
+ */
 int netif_get_addr_req_remote(int netif_phone, device_id_t device_id,
     measured_string_ref *address, char **data)
@@ -53,10 +66,32 @@
 }
 
-int netif_probe_req_remote(int netif_phone, device_id_t device_id, int irq, int io)
+/** Probe the existence of the device.
+ *
+ * @param[in] netif_phone The network interface phone.
+ * @param[in] device_id	The device identifier.
+ * @param[in] irq	The device interrupt number.
+ * @param[in] io	The device input/output address.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the
+ *			netif_probe_message().
+ */
+int
+netif_probe_req_remote(int netif_phone, device_id_t device_id, int irq, int io)
 {
 	return async_req_3_0(netif_phone, NET_NETIF_PROBE, device_id, irq, io);
 }
 
-int netif_send_msg_remote(int netif_phone, device_id_t device_id, packet_t packet,
+/** Send the packet queue.
+ *
+ * @param[in] netif_phone The network interface phone.
+ * @param[in] device_id	The device identifier.
+ * @param[in] packet	The packet queue.
+ * @param[in] sender	The sending module service.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the generic_send_msg()
+ *			function.
+ */
+int
+netif_send_msg_remote(int netif_phone, device_id_t device_id, packet_t packet,
     services_t sender)
 {
@@ -65,4 +100,14 @@
 }
 
+/** Start the device.
+ *
+ * @param[in] netif_phone The network interface phone.
+ * @param[in] device_id	The device identifier.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the
+ *			netif_start_message() function.
+ */
 int netif_start_req_remote(int netif_phone, device_id_t device_id)
 {
@@ -70,4 +115,14 @@
 }
 
+/** Stop the device.
+ *
+ * @param[in] netif_phone The network interface phone.
+ * @param[in] device_id	The device identifier.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the find_device()
+ *			function.
+ * @return		Other error codes as defined for the
+ *			netif_stop_message() function.
+ */
 int netif_stop_req_remote(int netif_phone, device_id_t device_id)
 {
@@ -75,4 +130,11 @@
 }
 
+/** Return the device usage statistics.
+ *
+ * @param[in] netif_phone The network interface phone.
+ * @param[in] device_id	The device identifier.
+ * @param[out] stats	The device usage statistics.
+ * @return EOK on success.
+ */
 int netif_stats_req_remote(int netif_phone, device_id_t device_id,
     device_stats_ref stats)
@@ -99,11 +161,12 @@
  * @param[in] receiver  The message receiver.
  *
- * @return The phone of the needed service.
- * @return EOK on success.
- * @return Other error codes as defined for the bind_service() function.
- *
+ * @return		The phone of the needed service.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the bind_service()
+ *			function.
  */
-int netif_bind_service_remote(services_t service, device_id_t device_id, services_t me,
-    async_client_conn_t receiver)
+int
+netif_bind_service_remote(services_t service, device_id_t device_id,
+    services_t me, async_client_conn_t receiver)
 {
 	return bind_service(service, device_id, me, 0, receiver);
Index: uspace/lib/net/nil/nil_remote.c
===================================================================
--- uspace/lib/net/nil/nil_remote.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/nil/nil_remote.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup net_nil
+/** @addtogroup libnet
  * @{
  */
@@ -47,12 +47,10 @@
 /** Notify the network interface layer about the device state change.
  *
- * @param[in] nil_phone The network interface layer phone.
- * @param[in] device_id The device identifier.
- * @param[in] state     The new device state.
- *
- * @return EOK on success.
- * @return Other error codes as defined for each specific module device
- *         state function.
- *
+ * @param[in] nil_phone	The network interface layer phone.
+ * @param[in] device_id	The device identifier.
+ * @param[in] state	The new device state.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
+ *			device state function.
  */
 int nil_device_state_msg_remote(int nil_phone, device_id_t device_id, int state)
@@ -67,19 +65,17 @@
  * upper layers.
  *
- * @param[in] nil_phone The network interface layer phone.
- * @param[in] device_id The source device identifier.
- * @param[in] packet    The received packet or the received packet queue.
- * @param     target    The target service. Ignored parameter.
- *
- * @return EOK on success.
- * @return Other error codes as defined for each specific module
- *         received function.
- *
+ * @param[in] nil_phone	The network interface layer phone.
+ * @param[in] device_id	The source device identifier.
+ * @param[in] packet	The received packet or the received packet queue.
+ * @param target	The target service. Ignored parameter.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
+ * 			received function.
  */
 int nil_received_msg_remote(int nil_phone, device_id_t device_id,
     packet_t packet, services_t target)
 {
-	return generic_received_msg_remote(nil_phone, NET_NIL_RECEIVED, device_id,
-	    packet_get_id(packet), target, 0);
+	return generic_received_msg_remote(nil_phone, NET_NIL_RECEIVED,
+	    device_id, packet_get_id(packet), target, 0);
 }
 
Index: uspace/lib/net/tl/icmp_client.c
===================================================================
--- uspace/lib/net/tl/icmp_client.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/tl/icmp_client.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,15 +27,19 @@
  */
 
-/** @addtogroup icmp
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
 /** @file
- *  ICMP client interface implementation.
- *  @see icmp_client.h
+ * ICMP client interface implementation.
+ * @see icmp_client.h
  */
 
+#include <icmp_client.h>
+#include <icmp_header.h>
+#include <packet_client.h>
+
 #ifdef CONFIG_DEBUG
-	#include <stdio.h>
+#include <stdio.h>
 #endif
 
@@ -44,40 +48,55 @@
 
 #include <net/icmp_codes.h>
-#include <icmp_client.h>
 #include <net/packet.h>
-#include <packet_client.h>
-#include <icmp_header.h>
 
-int icmp_client_process_packet(packet_t packet, icmp_type_t * type, icmp_code_t * code, icmp_param_t * pointer, icmp_param_t * mtu){
+/** Processes the received packet prefixed with an ICMP header.
+ *
+ * @param[in] packet	The received packet.
+ * @param[out] type	The ICMP header type.
+ * @param[out] code	The ICMP header code.
+ * @param[out] pointer	The ICMP header pointer.
+ * @param[out] mtu	The ICMP header MTU.
+ * @returns		The ICMP header length.
+ * @returns		Zero if the packet contains no data.
+ */
+int
+icmp_client_process_packet(packet_t packet, icmp_type_t *type,
+    icmp_code_t *code, icmp_param_t *pointer, icmp_param_t *mtu)
+{
 	icmp_header_ref header;
 
 	header = (icmp_header_ref) packet_get_data(packet);
-	if((! header)
-		|| (packet_get_data_length(packet) < sizeof(icmp_header_t))){
+	if (!header ||
+	    (packet_get_data_length(packet) < sizeof(icmp_header_t))) {
 		return 0;
 	}
-	if(type){
+
+	if (type)
 		*type = header->type;
-	}
-	if(code){
+	if (code)
 		*code = header->code;
-	}
-	if(pointer){
+	if (pointer)
 		*pointer = header->un.param.pointer;
-	}
-	if(mtu){
+	if (mtu)
 		*mtu = header->un.frag.mtu;
-	}
+
 	// remove debug dump
 #ifdef CONFIG_DEBUG
-	printf("ICMP error %d (%d) in packet %d\n", header->type, header->code, packet_get_id(packet));
+	printf("ICMP error %d (%d) in packet %d\n", header->type, header->code,
+	    packet_get_id(packet));
 #endif
 	return sizeof(icmp_header_t);
 }
 
-size_t icmp_client_header_length(packet_t packet){
-	if(packet_get_data_length(packet) < sizeof(icmp_header_t)){
+/** Returns the ICMP header length.
+ *
+ * @param[in] packet	The packet.
+ * @returns		The ICMP header length in bytes.
+ */
+size_t icmp_client_header_length(packet_t packet)
+{
+	if (packet_get_data_length(packet) < sizeof(icmp_header_t))
 		return 0;
-	}
+
 	return sizeof(icmp_header_t);
 }
Index: uspace/lib/net/tl/icmp_remote.c
===================================================================
--- uspace/lib/net/tl/icmp_remote.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/tl/icmp_remote.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,12 +27,16 @@
  */
 
-/** @addtogroup icmp
+/** @addtogroup libnet
  *  @{
  */
 
 /** @file
- *  ICMP interface implementation for remote modules.
- *  @see icmp_interface.h
+ * ICMP interface implementation for remote modules.
+ * @see icmp_interface.h
  */
+
+#include <icmp_interface.h>
+#include <net/modules.h>
+#include <packet_client.h>
 
 #include <async.h>
@@ -43,25 +47,85 @@
 #include <sys/types.h>
 
-#include <net/modules.h>
-#include <icmp_interface.h>
-#include <packet_client.h>
-
-int icmp_destination_unreachable_msg(int icmp_phone, icmp_code_t code, icmp_param_t mtu, packet_t packet){
-	async_msg_3(icmp_phone, NET_ICMP_DEST_UNREACH, (ipcarg_t) code, (ipcarg_t) packet_get_id(packet), (ipcarg_t) mtu);
+/** Sends the Destination Unreachable error notification packet.
+ *
+ * Beginning of the packet is sent as the notification packet data.
+ * The source and the destination addresses should be set in the original
+ * packet.
+ *
+ * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
+ * @param[in] code	The error specific code.
+ * @param[in] mtu	The error MTU value.
+ * @param[in] packet	The original packet.
+ * @returns		EOK on success.
+ * @returns		EPERM if the ICMP error notifications are disabled.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+int
+icmp_destination_unreachable_msg(int icmp_phone, icmp_code_t code,
+    icmp_param_t mtu, packet_t packet)
+{
+	async_msg_3(icmp_phone, NET_ICMP_DEST_UNREACH, (ipcarg_t) code,
+	    (ipcarg_t) packet_get_id(packet), (ipcarg_t) mtu);
 	return EOK;
 }
 
-int icmp_source_quench_msg(int icmp_phone, packet_t packet){
-	async_msg_2(icmp_phone, NET_ICMP_SOURCE_QUENCH, 0, (ipcarg_t) packet_get_id(packet));
+/** Sends the Source Quench error notification packet.
+ *
+ * Beginning of the packet is sent as the notification packet data.
+ * The source and the destination addresses should be set in the original
+ * packet.
+ *
+ * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
+ * @param[in] packet	The original packet.
+ * @returns		EOK on success.
+ * @returns		EPERM if the ICMP error notifications are disabled.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+int icmp_source_quench_msg(int icmp_phone, packet_t packet)
+{
+	async_msg_2(icmp_phone, NET_ICMP_SOURCE_QUENCH, 0,
+	    (ipcarg_t) packet_get_id(packet));
 	return EOK;
 }
 
-int icmp_time_exceeded_msg(int icmp_phone, icmp_code_t code, packet_t packet){
-	async_msg_2(icmp_phone, NET_ICMP_TIME_EXCEEDED, (ipcarg_t) code, (ipcarg_t) packet_get_id(packet));
+/** Sends the Time Exceeded error notification packet.
+ *
+ * Beginning of the packet is sent as the notification packet data.
+ * The source and the destination addresses should be set in the original
+ * packet.
+ *
+ * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
+ * @param[in] code	The error specific code.
+ * @param[in] packet	The original packet.
+ * @returns		EOK on success.
+ * @returns		EPERM if the ICMP error notifications are disabled.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+int icmp_time_exceeded_msg(int icmp_phone, icmp_code_t code, packet_t packet)
+{
+	async_msg_2(icmp_phone, NET_ICMP_TIME_EXCEEDED, (ipcarg_t) code,
+	    (ipcarg_t) packet_get_id(packet));
 	return EOK;
 }
 
-int icmp_parameter_problem_msg(int icmp_phone, icmp_code_t code, icmp_param_t pointer, packet_t packet){
-	async_msg_3(icmp_phone, NET_ICMP_PARAMETERPROB, (ipcarg_t) code, (ipcarg_t) packet_get_id(packet), (ipcarg_t) pointer);
+/** Sends the Parameter Problem error notification packet.
+ *
+ * Beginning of the packet is sent as the notification packet data.
+ * The source and the destination addresses should be set in the original
+ * packet.
+ *
+ * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
+ * @param[in] code	The error specific code.
+ * @param[in] pointer	The problematic parameter offset.
+ * @param[in] packet	The original packet.
+ * @returns		EOK on success.
+ * @returns		EPERM if the ICMP error notifications are disabled.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+int icmp_parameter_problem_msg(int icmp_phone, icmp_code_t code,
+    icmp_param_t pointer, packet_t packet)
+{
+	async_msg_3(icmp_phone, NET_ICMP_PARAMETERPROB, (ipcarg_t) code,
+	    (ipcarg_t) packet_get_id(packet), (ipcarg_t) pointer);
 	return EOK;
 }
@@ -69,2 +133,3 @@
 /** @}
  */
+
